com.gisgraphy.webapp.action

## Class DateConverter

- java.lang.Object
- - com.opensymphony.xwork2.conversion.impl.DefaultTypeConverter
  - - org.apache.struts2.util.StrutsTypeConverter
    - - com.gisgraphy.webapp.action.DateConverter

- All Implemented Interfaces:
    com.opensymphony.xwork2.conversion.TypeConverter

      public class DateConverter
      extends org.apache.struts2.util.StrutsTypeConverter

- - ### Field Summary

    - ### Fields inherited from interface com.opensymphony.xwork2.conversion.TypeConverter

      `NO_CONVERSION_POSSIBLE, TYPE_CONVERTER_CONTEXT_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convertFromString(Map ctx, String[] value, Class arg2)`
    `String` | `convertToString(Map ctx, Object data)`

    - ### Methods inherited from class org.apache.struts2.util.StrutsTypeConverter

      `convertValue, performFallbackConversion`

    - ### Methods inherited from class com.opensymphony.xwork2.conversion.impl.DefaultTypeConverter

      `bigDecValue, bigIntValue, booleanValue, convertValue, convertValue, doubleValue, enumValue, getTypeConverter, longValue, stringValue, stringValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateConverter

          public DateConverter()

  - ### Method Detail

    - #### convertFromString

          public Object convertFromString(Map ctx,
                                 String[] value,
                                 Class arg2)

      Specified by:
        `convertFromString` in class `org.apache.struts2.util.StrutsTypeConverter`

    - #### convertToString

          public String convertToString(Map ctx,
                               Object data)

      Specified by:
        `convertToString` in class `org.apache.struts2.util.StrutsTypeConverter`

Copyright © 2015. All rights reserved.